## org.red5.server.net.rtmpt.codec
Class RTMPTProtocolDecoder

    java.lang.Object
      org.red5.server.net.rtmp.codec.RTMPProtocolDecoder
          org.red5.server.net.rtmpt.codec.RTMPTProtocolDecoder

All Implemented Interfaces:
  IEventDecoder, Constants

    public class RTMPTProtocolDecoder

extends RTMPProtocolDecoder

RTMPT protocol decoder. To be implemeted.

Field Summary

Fields inherited from class org.red5.server.net.rtmp.codec.RTMPProtocolDecoder
`log`

Fields inherited from interface org.red5.server.net.rtmp.message.Constants

`HANDSHAKE_SIZE, HEADER_CONTINUE, HEADER_NEW, HEADER_SAME_SOURCE, HEADER_TIMER_CHANGE, MEDIUM_INT_MAX, SO_CLIENT_CLEAR_DATA, SO_CLIENT_DELETE_DATA, SO_CLIENT_INITIAL_DATA, SO_CLIENT_SEND_MESSAGE, SO_CLIENT_STATUS, SO_CLIENT_UPDATE_ATTRIBUTE, SO_CLIENT_UPDATE_DATA, SO_CONNECT, SO_DELETE_ATTRIBUTE, SO_DISCONNECT, SO_SEND_MESSAGE, SO_SET_ATTRIBUTE, SOURCE_TYPE_LIVE, SOURCE_TYPE_VOD, TYPE_ABORT, TYPE_AGGREGATE, TYPE_AUDIO_DATA, TYPE_BYTES_READ, TYPE_CHUNK_SIZE, TYPE_CLIENT_BANDWIDTH, TYPE_FLEX_MESSAGE, TYPE_FLEX_SHARED_OBJECT, TYPE_FLEX_STREAM_SEND, TYPE_INVOKE, TYPE_NOTIFY, TYPE_PING, TYPE_SERVER_BANDWIDTH, TYPE_SHARED_OBJECT, TYPE_STREAM_METADATA, TYPE_VIDEO_DATA`

Constructor Summary
`RTMPTProtocolDecoder()`

Method Summary

Methods inherited from class org.red5.server.net.rtmp.codec.RTMPProtocolDecoder
`decode, decodeAbort, decodeAudioData, decodeBuffer, decodeBytesRead, decodeChunkSize, decodeFlexMessage, decodeFlexSharedObject, decodeFlexStreamSend, decodeHandshake, decodeHeader, decodeInvoke, decodeMessage, decodeNotify, decodeNotify, decodeNotifyOrInvoke, decodePacket, decodePing, decodeSharedObject, decodeStreamMetadata, decodeUnknown, decodeVideoData, doDecodeSharedObject, setDeserializer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RTMPTProtocolDecoder

    public RTMPTProtocolDecoder()

Copyright © 2006-2010 The Red5 Project